<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_graficcart_include
| Author: Jomppa
| Visit My Home Page and dont forget register!
| http://jomppaspace.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_graficcart = isset($user_data['user_graficcart']) ? $user_data['user_graficcart'] : "";
	if ($this->isError()) { $user_graficcart = isset($_POST['user_graficcart']) ? stripinput($_POST['user_graficcart']) : $user_graficcart; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_graficcart")."'><label for='user_graficcart'>".$locale['uf_graficcart'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_graficcart")."'>";
	echo "<input type='text' id='user_graficcart' name='user_graficcart' value='".$user_graficcart."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_graficcart", $locale['uf_graficcart_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_graficcart']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_graficcart']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_graficcart']."&nbsp;<img src='".IMAGES."icons/pc/graficcart.png' alt='Has Grafic Cart' /></td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_graficcart']) && ($_POST['user_graficcart'] != "" || $this->_isNotRequired("user_graficcart"))) {
		// Set update or insert user data
		$this->_setDBValue("user_graficcart", stripinput($_POST['user_graficcart']));
	} else {
		$this->_setError("user_graficcart", $locale['uf_graficcart_error'], true);
	}
}
?>
