<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_keyboard_include
| Author: Jomppa
| Visit My Home Page and dont forget register!
| http://jomppaspace.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_keyboard = isset($user_data['user_keyboard']) ? $user_data['user_keyboard'] : "";
	if ($this->isError()) { $user_keyboard = isset($_POST['user_keyboard']) ? stripinput($_POST['user_keyboard']) : $user_keyboard; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_keyboard")."'><label for='user_keyboard'>".$locale['uf_keyboard'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_keyboard")."'>";
	echo "<input type='text' id='user_keyboard' name='user_keyboard' value='".$user_keyboard."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_keyboard", $locale['uf_keyboard_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_keyboard']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_keyboard']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_keyboard']."&nbsp;<img src='".IMAGES."icons/pc/keyboard.png' alt='Has Keyboard' /></td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_keyboard']) && ($_POST['user_keyboard'] != "" || $this->_isNotRequired("user_keyboard"))) {
		// Set update or insert user data
		$this->_setDBValue("user_keyboard", stripinput($_POST['user_keyboard']));
	} else {
		$this->_setError("user_keyboard", $locale['uf_keyboard_error'], true);
	}
}
?>
