<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_motherboard_include
| Author: Jomppa
| Visit My Home Page and dont forget register!
| http://jomppaspace.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_motherboard = isset($user_data['user_motherboard']) ? $user_data['user_motherboard'] : "";
	if ($this->isError()) { $user_motherboard = isset($_POST['user_motherboard']) ? stripinput($_POST['user_motherboard']) : $user_motherboard; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_motherboard")."'><label for='user_motherboard'>".$locale['uf_motherboard'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_motherboard")."'>";
	echo "<input type='text' id='user_motherboard' name='user_motherboard' value='".$user_motherboard."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_motherboard", $locale['uf_motherboard_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_motherboard']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_motherboard']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_motherboard']."&nbsp;<img src='".IMAGES."icons/pc/motherboard.png' alt='Has Motherboard' /></td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_motherboard']) && ($_POST['user_motherboard'] != "" || $this->_isNotRequired("user_motherboard"))) {
		// Set update or insert user data
		$this->_setDBValue("user_motherboard", stripinput($_POST['user_motherboard']));
	} else {
		$this->_setError("user_motherboard", $locale['uf_motherboard_error'], true);
	}
}
?>
