<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_cpu_include
| Author: Jomppa
| Visit My Home Page and dont forget register!
| http://jomppaspace.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_cpu = isset($user_data['user_cpu']) ? $user_data['user_cpu'] : "";
	if ($this->isError()) { $user_cpu = isset($_POST['user_cpu']) ? stripinput($_POST['user_cpu']) : $user_cpu; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_cpu")."'><label for='user_cpu'>".$locale['uf_cpu'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_cpu")."'>";
	echo "<input type='text' id='user_cpu' name='user_cpu' value='".$user_cpu."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_cpu", $locale['uf_cpu_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_cpu']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_cpu']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_cpu']."&nbsp;<img src='".IMAGES."icons/pc/cpu.png' alt='Has Protsessor' /></td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_cpu']) && ($_POST['user_cpu'] != "" || $this->_isNotRequired("user_cpu"))) {
		// Set update or insert user data
		$this->_setDBValue("user_cpu", stripinput($_POST['user_cpu']));
	} else {
		$this->_setError("user_cpu", $locale['uf_cpu_error'], true);
	}
}
?>
