<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_harddrive_include
| Author: Jomppa
| Visit My Home Page and dont forget register!
| http://jomppaspace.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_harddrive = isset($user_data['user_harddrive']) ? $user_data['user_harddrive'] : "";
	if ($this->isError()) { $user_harddrive = isset($_POST['user_harddrive']) ? stripinput($_POST['user_harddrive']) : $user_harddrive; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_harddrive")."'><label for='user_harddrive'>".$locale['uf_harddrive'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_harddrive")."'>";
	echo "<input type='text' id='user_harddrive' name='user_harddrive' value='".$user_harddrive."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_harddrive", $locale['uf_harddrive_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_harddrive']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_harddrive']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_harddrive']."&nbsp;<img src='".IMAGES."icons/pc/harddrive.png' alt='Has Hard Drive' /></td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_harddrive']) && ($_POST['user_harddrive'] != "" || $this->_isNotRequired("user_harddrive"))) {
		// Set update or insert user data
		$this->_setDBValue("user_harddrive", stripinput($_POST['user_harddrive']));
	} else {
		$this->_setError("user_harddrive", $locale['uf_harddrive_error'], true);
	}
}
?>
