<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_headphones_include
| Author: Jomppa
| Visit My Home Page and dont forget register!
| http://jomppaspace.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_headphones = isset($user_data['user_headphones']) ? $user_data['user_headphones'] : "";
	if ($this->isError()) { $user_headphones = isset($_POST['user_headphones']) ? stripinput($_POST['user_headphones']) : $user_headphones; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_headphones")."'><label for='user_headphones'>".$locale['uf_headphones'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_headphones")."'>";
	echo "<input type='text' id='user_headphones' name='user_headphones' value='".$user_headphones."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_headphones", $locale['uf_headphones_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_headphones']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_headphones']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_headphones']."&nbsp;<img src='".IMAGES."icons/pc/headphones.png' alt='Has Headphones' /></td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_headphones']) && ($_POST['user_headphones'] != "" || $this->_isNotRequired("user_headphones"))) {
		// Set update or insert user data
		$this->_setDBValue("user_headphones", stripinput($_POST['user_headphones']));
	} else {
		$this->_setError("user_headphones", $locale['uf_headphones_error'], true);
	}
}
?>
