<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_monitor_include
| Author: Jomppa
| Visit My Home Page and dont forget register!
| http://jomppaspace.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_monitor = isset($user_data['user_monitor']) ? $user_data['user_monitor'] : "";
	if ($this->isError()) { $user_monitor = isset($_POST['user_monitor']) ? stripinput($_POST['user_monitor']) : $user_monitor; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_monitor")."'><label for='user_monitor'>".$locale['uf_monitor'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_monitor")."'>";
	echo "<input type='text' id='user_monitor' name='user_monitor' value='".$user_monitor."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_monitor", $locale['uf_monitor_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_monitor']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_monitor']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_monitor']."&nbsp;<img src='".IMAGES."icons/pc/monitor.png' alt='Has Monitor' /></td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_monitor']) && ($_POST['user_monitor'] != "" || $this->_isNotRequired("user_monitor"))) {
		// Set update or insert user data
		$this->_setDBValue("user_monitor", stripinput($_POST['user_monitor']));
	} else {
		$this->_setError("user_monitor", $locale['uf_monitor_error'], true);
	}
}
?>
