<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_mouse_include
| Author: Jomppa
| Visit My Home Page and dont forget register!
| http://jomppaspace.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_mouse = isset($user_data['user_mouse']) ? $user_data['user_mouse'] : "";
	if ($this->isError()) { $user_mouse = isset($_POST['user_mouse']) ? stripinput($_POST['user_mouse']) : $user_mouse; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_mouse")."'><label for='user_mouse'>".$locale['uf_mouse'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_mouse")."'>";
	echo "<input type='text' id='user_mouse' name='user_mouse' value='".$user_mouse."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_mouse", $locale['uf_mouse_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_mouse']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_mouse']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_mouse']."&nbsp;<img src='".IMAGES."icons/pc/mouse.png' alt='Has Mouse' /></td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_mouse']) && ($_POST['user_mouse'] != "" || $this->_isNotRequired("user_mouse"))) {
		// Set update or insert user data
		$this->_setDBValue("user_mouse", stripinput($_POST['user_mouse']));
	} else {
		$this->_setError("user_mouse", $locale['uf_mouse_error'], true);
	}
}
?>
